javax.xml.rpc

## Class NamespaceConstants

- java.lang.Object
- - javax.xml.rpc.NamespaceConstants

-     public class NamespaceConstants
      extends Object

  Constants used in JAX-RPC for namespace prefixes and URIs
  Version:
    1.0
  Author:
    Rahul Sharma

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NSPREFIX_SCHEMA_XSD` Namespace prefix for XML schema XSD
    `static String` | `NSPREFIX_SCHEMA_XSI` Namespace prefix for XML Schema XSI
    `static String` | `NSPREFIX_SOAP_ENCODING` Namespace prefix for SOAP Encoding
    `static String` | `NSPREFIX_SOAP_ENVELOPE` Namespace prefix for SOAP Envelope
    `static String` | `NSURI_SCHEMA_XSD` Namespace URI for XML Schema XSD
    `static String` | `NSURI_SCHEMA_XSI` Namespace URI for XML Schema XSI
    `static String` | `NSURI_SOAP_ENCODING` Nameapace URI for SOAP 1.1 Encoding
    `static String` | `NSURI_SOAP_ENVELOPE` Nameapace URI for SOAP 1.1 Envelope
    `static String` | `NSURI_SOAP_NEXT_ACTOR` Nameapace URI for SOAP 1.1 next actor role

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamespaceConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NSPREFIX_SOAP_ENVELOPE

          public static final String NSPREFIX_SOAP_ENVELOPE

      Namespace prefix for SOAP Envelope
      See Also:
        Constant Field Values

    - #### NSPREFIX_SOAP_ENCODING

          public static final String NSPREFIX_SOAP_ENCODING

      Namespace prefix for SOAP Encoding
      See Also:
        Constant Field Values

    - #### NSPREFIX_SCHEMA_XSD

          public static final String NSPREFIX_SCHEMA_XSD

      Namespace prefix for XML schema XSD
      See Also:
        Constant Field Values

    - #### NSPREFIX_SCHEMA_XSI

          public static final String NSPREFIX_SCHEMA_XSI

      Namespace prefix for XML Schema XSI
      See Also:
        Constant Field Values

    - #### NSURI_SOAP_ENVELOPE

          public static final String NSURI_SOAP_ENVELOPE

      Nameapace URI for SOAP 1.1 Envelope
      See Also:
        Constant Field Values

    - #### NSURI_SOAP_ENCODING

          public static final String NSURI_SOAP_ENCODING

      Nameapace URI for SOAP 1.1 Encoding
      See Also:
        Constant Field Values

    - #### NSURI_SOAP_NEXT_ACTOR

          public static final String NSURI_SOAP_NEXT_ACTOR

      Nameapace URI for SOAP 1.1 next actor role
      See Also:
        Constant Field Values

    - #### NSURI_SCHEMA_XSD

          public static final String NSURI_SCHEMA_XSD

      Namespace URI for XML Schema XSD
      See Also:
        Constant Field Values

    - #### NSURI_SCHEMA_XSI

          public static final String NSURI_SCHEMA_XSI

      Namespace URI for XML Schema XSI
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NamespaceConstants

          public NamespaceConstants()

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.